Subject: Re: [PATCH v1 04/25] contrib: remove 'buildsystems'

From: Jonathan Nieder <[email-masked]>
Date: Fri, 9 May 2014 11:33:16 -0700

Hi,

Erik Faye-Lund wrote:
> On Fri, May 9, 2014 at 10:14 AM, Felipe Contreras
> <[email-masked]> wrote:
>> Erik Faye-Lund wrote:

>>> Please don't. This script is useful to build with the MSVC IDE, which
>>> enables us to use their excellent debugger.
>>
>> If you want this script to remain in contrib, please:
>>
>>  a) Write at least a few tests
>>  b) Write some documentation
>>  c) Explain why it cannot live outside the git.git repository like other
>>     tools. [1][2][3]
>
> (Adding Marius, the original author to the CC-list)
>
> Uh, why is such a burden required all of a sudden?

It isn't.  As far as I can tell, the only point of this patch series
was to prove a point.  If a patch from the series happens to be useful
then that's great, but otherwise it's mostly an act of protest as far
as I can tell.

(From my point of view, this kind of protest is not really a good way
to reward people who have made good contributions to contrib/ in the
past, so I hope it doesn't happen often.)

I'm happy the MSVC build scripts are in git.git.  Thanks for keeping
them maintained well.

Sincerely,
Jonathan